​
Select Service
ves-io-schema-views-voltstack_site-API-List
Published April 5, 2023 | Last modified May 28, 2026
Examples of listing voltstack_site
Usecase:
List voltstack sites in system namespace
Request using vesctl:
vesctl configuration list voltstack_site --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: cluster-1 namespace: system statusSet: [] tenant: acmecorp uid: 817761f2-a27e-478c-94d5-e36397e9089fRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/voltstack_sites'curl response
HTTP/1.1 200 OKContent-Length: 432Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:03:08 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.custom_network_config.slo_config.dc_cluster_group_interface.#,items.#.get_spec.master_nodes.#
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "cluster-1", "uid": "817761f2-a27e-478c-94d5-e36397e9089f", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}